TESTMXLOOKUP(1)

NAME
testmxlookup - Look up mail relays for a domain

SYNOPSIS

testmxlookup [domain...]

DESCRIPTION

testmxlookup lists the names and IP addresses of mail relays that receive mail for the domain. This is useful in diagnosing mail delivery problems.

testmxlookup sends a DNS MX query for the specified domain, followed by A/AAAA queries, if needed. testmxlookup lists the hostname and the IP address of every mail relay, and its MX priority.

  DIAGNOSTICS

The error message "Hard error" indicates that the domain does not exist, or does not have any mail relays. The error message "Soft error" indicates a temporary error condition (usually a network failure of some sorts, or the local DNS server is down).

SEE ALSO

courier(8)[1], RFC 1035[2].

AUTHOR

Sam Varshavchik
    Author

NOTES

1.  courier(8)
    [set $man.base.url.for.relative.links]/courier.html

2.  RFC 1035
    http://www.rfc-editor.org/rfc/rfc1035.txt